Page MenuHomePhabricator

Automatic PR creation from the twn branch
Closed, ResolvedPublic

Description

I'm a project liason at translatewiki.net. We've recently added a feature that allows translatewiki to open a pull request (PR).

Currently we submit translations to the twn branch but do not create a PR to the main development branch.

We would like to change the configuration for Wikipedia iOS on our end, to enable this feature. This will help bring visibility to the submitted translations, and trigger any CI processes, if present. If a PR is already open, the existing PR will be re-used rather than creating a a new PR. This is similar to what's happening with the GitHub action here: https://github.com/wikimedia/wikipedia-ios/blob/main/.github/workflows/localization.yml

This will not require any code changes on your end, but you will have to review, approve and merge the PRs.

Event Timeline

abi_ created this task.Sep 28 2020, 2:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2020, 2:52 PM
LGoto triaged this task as Medium priority.
LGoto moved this task from Needs Triage to Engineering Backlog on the Wikipedia-iOS-App-Backlog board.

Hello! We've been doing something similar on our end, but it's definitely better to standardize this based on the way it's working for other repos.

The current localization flow is documented in our repo. Per step 6, between pushing new strings to the twn branch and opening a PR, the scripts/localization import script needs to be run to convert the new strings to an appropriate format for iOS. Is it possible to add this step into the flow that is being created?

MattCleinman removed MattCleinman as the assignee of this task.Sep 29 2020, 6:30 PM
MattCleinman added a subscriber: MattCleinman.
abi_ added a comment.Oct 1 2020, 9:51 AM

@MattCleinman - Using our current infrastructure it will not be possible to run those specific script so that Github action will have to remain in place but we can remove these sections of the Github action to create a PR, and possibly remove theGitHub access token incase its not being used anywhere.

Change 631413 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add PR creation for wikipedia-ios project

https://gerrit.wikimedia.org/r/631413

@abi_ sounds good. I've put up a PR to create a new github action, and we can deprecate the old one after we confirm the new one - in combination with your patch - is working as expected.

Change 631413 merged by jenkins-bot:
[translatewiki@master] Add automatic PR creation for wikipedia-ios project

https://gerrit.wikimedia.org/r/631413

Looks like it's working well!

abi_ closed this task as Resolved.Oct 12 2020, 10:46 AM